View Issue Details

IDProjectCategoryView StatusLast Update
0004380unrealircdpublic2017-08-09 12:32
ReporterEmanAssigned Tosyzop 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version4.0.13 
Summary0004380: add SNI support for multiple ssl certificates
Descriptionhttps://en.wikipedia.org/wiki/Server_Name_Indication

This would allow having multiple ssl certificates. For example many servers are accessible at both server.domain.tld and irc.domain.tld. Being able to have both certificates would add flexibility for choice of certificate providers.
TagsNo tags attached.
3rd party modules

Activities

syzop

2015-07-23 22:54

administrator   ~0018560

Two comments, which you presumably already know:
1) By the time all clients support this so you can actually use it will be a while :D
2) In the meantime you can use wildcard certs

Anyway, the feature request is fine by me. I'm marking it as acknowledged. If it's not too much of a hassle then I'll implement it in the 3.4 beta series.

Eman

2015-07-25 00:43

reporter   ~0018563

at the very least mirc has added support recently for SNI:


mIRC 7.41 has been released! (February 28th 2015)
-snip-
Extended SSL support to allow connecting to SNI servers.

syzop

2016-12-29 17:15

administrator   ~0019582

I think one should just use a multi-domain cert (or wildcard). This works for everyone. It's not worth the time to implement this feature.

syzop

2017-08-09 12:31

administrator   ~0019807

Last edited: 2017-08-09 12:32

View 3 revisions

Added after all... In 4.0.11 I added generic SSL options stuff that could be used to set SSL-specific options per-port. With that, adding SNI was rather easy... This will be in 4.0.13. Thanks for your patience.

https://github.com/unrealircd/unrealircd/commit/b2129205f978ff14d1ff03c36aa86d48fc25b13e

Added support for the "Server Name Indication" (SNI) SSL/TLS extension.
See https://www.unrealircd.org/docs/Sni_block
Requested in 0004380 by Eman.

Issue History

Date Modified Username Field Change
2015-07-22 04:11 Eman New Issue
2015-07-23 22:54 syzop Note Added: 0018560
2015-07-23 22:54 syzop Assigned To => syzop
2015-07-23 22:54 syzop Status new => acknowledged
2015-07-25 00:43 Eman Note Added: 0018563
2015-08-08 17:49 syzop Severity minor => feature
2016-12-29 17:15 syzop Status acknowledged => closed
2016-12-29 17:15 syzop Resolution open => no change required
2016-12-29 17:15 syzop Note Added: 0019582
2017-08-09 12:31 syzop Status closed => resolved
2017-08-09 12:31 syzop Resolution no change required => fixed
2017-08-09 12:31 syzop Fixed in Version => 4.0.13
2017-08-09 12:31 syzop Note Added: 0019807
2017-08-09 12:32 syzop Note Edited: 0019807 View Revisions
2017-08-09 12:32 syzop Note Edited: 0019807 View Revisions